org.jetlang.remote.acceptor

## Class NioClientHandler

- java.lang.Object
- - org.jetlang.remote.acceptor.NioClientHandler

All Implemented Interfaces:
  org.jetlang.fibers.NioChannelHandler

    public class NioClientHandler
    extends Object
    implements org.jetlang.fibers.NioChannelHandler

### Nested Class Summary

Nested Classes
`static interface` `NioClientHandler.Reader`

### Constructor Summary

Constructors
Constructor and Description
`NioClientHandler(SocketChannel socket, NioClientHandler.Reader r)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static NioClientHandler` `create(String host, int port, NioClientHandler.Reader reader)`
`SelectableChannel` `getChannel()`
`int` `getInterestSet()`
`SocketChannel` `getSocket()`
`void` `onEnd()`
`boolean` `onSelect(org.jetlang.fibers.NioFiber nioFiber, org.jetlang.fibers.NioControls controls, SelectionKey key)`
`void` `onSelectorEnd()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NioClientHandler

    public NioClientHandler(SocketChannel socket,
                            NioClientHandler.Reader r)

### Method Detail

#### create

    public static NioClientHandler create(String host,
                                          int port,
                                          NioClientHandler.Reader reader)

#### getSocket

    public SocketChannel getSocket()

#### onSelect

    public boolean onSelect(org.jetlang.fibers.NioFiber nioFiber,
                            org.jetlang.fibers.NioControls controls,
                            SelectionKey key)

Specified by:
  `onSelect` in interface `org.jetlang.fibers.NioChannelHandler`

#### getChannel

    public SelectableChannel getChannel()

Specified by:
  `getChannel` in interface `org.jetlang.fibers.NioChannelHandler`

#### getInterestSet

    public int getInterestSet()

Specified by:
  `getInterestSet` in interface `org.jetlang.fibers.NioChannelHandler`

#### onEnd

    public void onEnd()

Specified by:
  `onEnd` in interface `org.jetlang.fibers.NioChannelHandler`

#### onSelectorEnd

    public void onSelectorEnd()

Specified by:
  `onSelectorEnd` in interface `org.jetlang.fibers.NioChannelHandler`